=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libakonadi-dev (>= 4:24.08.0~),
-               libakonadicalendar-dev (>= 4:24.08.0~),
-               libcalendarsupport-dev (>= 4:24.08.0~),
-               libkcalendarutils-dev (>= 4:24.08.0~),
-               libkdepim-dev (>= 4:24.08.0~),
+               libakonadi-dev (>= 4:24.08.2~),
+               libakonadicalendar-dev (>= 4:24.08.2~),
+               libcalendarsupport-dev (>= 4:24.08.2~),
+               libkcalendarutils-dev (>= 4:24.08.2~),
+               libkdepim-dev (>= 4:24.08.2~),
                libkf6calendarcore-dev (>= 6.3.0~),
                libkf6codecs-dev (>= 6.3.0~),
                libkf6completion-dev (>= 6.3.0~),
@@ -25,7 +25,7 @@
                libkf6itemmodels-dev (>= 6.3.0~),
                libkf6service-dev (>= 6.3.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkmime-dev (>= 24.08.0~),
+               libkmime-dev (>= 24.08.2~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0+dfsg~),
                xauth <!nocheck>,
@@ -49,10 +49,10 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.08.0~),
-         libakonadicalendar-dev (>= 4:24.08.0~),
-         libcalendarsupport-dev (>= 4:24.08.0~),
-         libkcalendarutils-dev (>= 4:24.08.0~),
+Depends: libakonadi-dev (>= 4:24.08.2~),
+         libakonadicalendar-dev (>= 4:24.08.2~),
+         libcalendarsupport-dev (>= 4:24.08.2~),
+         libkcalendarutils-dev (>= 4:24.08.2~),
          libkf6calendarcore-dev (>= 6.3.0~),
          libkpim6eventviews6 (= ${binary:Version}),
          ${misc:Depends},
