=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicalendar-dev (>= 4:24.12.0~),
-               libcalendarsupport-dev (>= 4:24.12.0~),
-               libkcalendarutils-dev (>= 4:24.12.0~),
-               libkdepim-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicalendar-dev (>= 4:24.12.2~),
+               libcalendarsupport-dev (>= 4:24.12.2~),
+               libkcalendarutils-dev (>= 4:24.12.2~),
+               libkdepim-dev (>= 4:24.12.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -25,7 +25,7 @@
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6service-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkmime-dev (>= 24.12.0~),
+               libkmime-dev (>= 24.12.2~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
@@ -49,10 +49,10 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.0~),
-         libakonadicalendar-dev (>= 4:24.12.0~),
-         libcalendarsupport-dev (>= 4:24.12.0~),
-         libkcalendarutils-dev (>= 4:24.12.0~),
+Depends: libakonadi-dev (>= 4:24.12.2~),
+         libakonadicalendar-dev (>= 4:24.12.2~),
+         libcalendarsupport-dev (>= 4:24.12.2~),
+         libkcalendarutils-dev (>= 4:24.12.2~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkpim6eventviews6 (= ${binary:Version}),
          ${misc:Depends},
