=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicalendar-dev (>= 4:24.12.2~),
-               libcalendarsupport-dev (>= 4:24.12.2~),
-               libkcalendarutils-dev (>= 4:24.12.2~),
-               libkdepim-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicalendar-dev (>= 4:24.12.3~),
+               libcalendarsupport-dev (>= 4:24.12.3~),
+               libkcalendarutils-dev (>= 4:24.12.3~),
+               libkdepim-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -25,12 +25,12 @@
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6service-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkmime-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.3~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/eventviews
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/eventviews
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/eventviews.git
@@ -49,10 +49,10 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.2~),
-         libakonadicalendar-dev (>= 4:24.12.2~),
-         libcalendarsupport-dev (>= 4:24.12.2~),
-         libkcalendarutils-dev (>= 4:24.12.2~),
+Depends: libakonadi-dev (>= 4:24.12.3~),
+         libakonadicalendar-dev (>= 4:24.12.3~),
+         libcalendarsupport-dev (>= 4:24.12.3~),
+         libkcalendarutils-dev (>= 4:24.12.3~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkpim6eventviews6 (= ${binary:Version}),
          ${misc:Depends},
