=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: eventviews
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.3~),
-               libakonadicalendar-dev (>= 4:24.12.3~),
-               libcalendarsupport-dev (>= 4:24.12.3~),
-               libkcalendarutils-dev (>= 4:24.12.3~),
-               libkdepim-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.07.80~),
+               libakonadicalendar-dev (>= 4:25.07.80~),
+               libcalendarsupport-dev (>= 4:25.07.80~),
+               libkcalendarutils-dev (>= 4:25.07.80~),
+               libkdepim-dev (>= 4:25.07.80~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -25,15 +26,15 @@
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6service-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkmime-dev (>= 24.12.3~),
+               libkmime-dev (>= 25.07.80~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/eventviews
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/eventviews
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/eventviews.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews
 Rules-Requires-Root: no
 
 Package: libeventviews-data
@@ -49,10 +50,10 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.3~),
-         libakonadicalendar-dev (>= 4:24.12.3~),
-         libcalendarsupport-dev (>= 4:24.12.3~),
-         libkcalendarutils-dev (>= 4:24.12.3~),
+Depends: libakonadi-dev (>= 4:25.07.80~),
+         libakonadicalendar-dev (>= 4:25.07.80~),
+         libcalendarsupport-dev (>= 4:25.07.80~),
+         libkcalendarutils-dev (>= 4:25.07.80~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkpim6eventviews6 (= ${binary:Version}),
          ${misc:Depends},
